Package logsparser :: Module normalizer :: Class Tag

[frames] | no frames]

# Class Tag

source code

    object --+
             |
            Tag

A tag as defined in a pattern.

Instance Methods

__init__(self, name, tagtype, substitute, description=`{``}`, callbacks=`[``]`) x.__init__(...) initializes x; see help(type(x)) for signature | source code

get_description(self, language=`'``en``'`) @Return : The tag description | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, name, tagtype, substitute, description=`{``}`, callbacks=`[``]`)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `name` - the tag's name
  - `tagtype` - the tag's type name
  - `substitute` - the string chain representing the tag in a log pattern @param description = a dictionary holding multilingual descriptions of the tag
  - `callbacks` - a list of eventual callbacks to fire once the tag value has been extracted
Overrides: object.__init__